Main Page Class Hierarchy Data Structures File List Data Fields Globals

# tsc_h324m_config_interface.h File Reference

`#include "oscl_base.h"`
`#include "pvt_common.h"`
`#include "pv_uuid.h"`
`#include "pvmf_node_interface.h"`
`#include "pv_2way_h324m_types.h"`

Go to the source code of this file.

## Data Structures
class | H324MConfigInterface
class | H324MConfigObserver
class | H324MReverseParametersExtensionInterface
class | PVMFComponentInterface
## Defines
#define | PVH324MConfigUuid PVUuid(0x2b0b54e2,0x7079,0x46c6,0xb2,0x3e,0x04,0xff,0xd3,0x0e,0x14,0x36)
#define | PVUuidH324ComponentInterface PVUuid(0xf6b47190,0xf88d,0x4cbf,0xa6,0xf6,0xc6,0x1e,0xfe,0x98,0x05,0x3f)
## Typedefs
typedef uint32 | H324MConfigInformationalEvent
typedef uint32 | H324MConfigStatusResponse
## Enumerations
enum | PVH324MIndicationType { PV_INDICATION_VIDEO_SPATIAL_TEMPORAL_TRADEOFF_COMMAND, PV_INDICATION_VIDEO_SPATIAL_TEMPORAL_TRADEOFF_INDICATION, PV_INDICATION_FAST_UPDATE, PV_INDICATION_RTD, PV_INDICATION_RME, PV_INDICATION_VENDOR_ID, PV_INDICATION_USER_INPUT_CAPABILITY, PV_INDICATION_USER_INPUT, PV_INDICATION_SKEW, PV_INDICATION_LOGICAL_CHANNEL_ACTIVE, PV_INDICATION_LOGICAL_CHANNEL_INACTIVE }

## Define Documentation

#define PVH324MConfigUuid PVUuid(0x2b0b54e2,0x7079,0x46c6,0xb2,0x3e,0x04,0xff,0xd3,0x0e,0x14,0x36)

#define PVUuidH324ComponentInterface PVUuid(0xf6b47190,0xf88d,0x4cbf,0xa6,0xf6,0xc6,0x1e,0xfe,0x98,0x05,0x3f)

## Typedef Documentation

typedef uint32 H324MConfigInformationalEvent

typedef uint32 H324MConfigStatusResponse

## Enumeration Type Documentation

enum PVH324MIndicationType

  | PVH324MIndicationType enum Enumeration of unsolicited H324m specific indications from pv2way. Enumeration values:
  PV_INDICATION_VIDEO_SPATIAL_TEMPORAL_TRADEOFF_COMMAND | Indicates the receipt of a videoSpatialTemporalTradeoff command from the peer. The first 2 bytes of the event local buffer indicate the logical channel (network byte order) and the 3rd byte indicates the tradeoff value.
  PV_INDICATION_VIDEO_SPATIAL_TEMPORAL_TRADEOFF_INDICATION | Indicates the receipt of a videoSpatialTemporalTradeoff indication from the peer. The first 2 bytes of the event local buffer indicate the logical channel (network byte order) and the 3rd byte indicates the tradeoff value.
  PV_INDICATION_FAST_UPDATE | Indicates a fast update message from the remote terminal. The first two bytes of the local buffer encode the logical channel number in network byte order.
  PV_INDICATION_RTD | Indicates an incoming RTD command.
  PV_INDICATION_RME | Indicates an incoming request multiplex entry command.
  PV_INDICATION_VENDOR_ID | Indicates an incoming vendor id indication message.
  PV_INDICATION_USER_INPUT_CAPABILITY | Indicates the receipt of user input capability from the remote terminal. The first byte in local buffer contains the user input formats supported by the peer. The least significant stands for basicString, 2nd bit defines support for iA5String, 3rd for generalString and 4th dtmf.
  PV_INDICATION_USER_INPUT | Indicates the receipt of user input from the remote terminal. Event extension interface contains pointer to CPVUserInput that holds the actual user input sequences received.
  PV_INDICATION_SKEW | Indicates the receipt of a an h223SkewIndication indication from the peer. The first 2 bytes of the event local buffer indicate the first logical channel, the 3rd and 4th bytes the second logical channel and the 5th and 6th bytes the value of the skew in milliseconds. All values are in network byte order.
  PV_INDICATION_LOGICAL_CHANNEL_ACTIVE | Indicates a Active Logical Channel message from the remote terminal. The first two bytes of the local buffer encode the logical channel number in network byte order.
  PV_INDICATION_LOGICAL_CHANNEL_INACTIVE | Indicates a Inactive Logical Channel message from the remote terminal. The first two bytes of the local buffer encode the logical channel number in network byte order.